<template>
  <div class="item-header">
    <div class="number column">Num.</div>
    <div class="activities column">Activities</div>
    <div class="edit column">Edit</div>
    <div class="delete column">Delete</div>
    <div class="status column">Status</div>
  </div>
</template>

<script>
export default {
  name: 'item-header'
}
</script>

<style scoped>
.item-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 24px;
  padding: 10px 0;
  border-bottom: 1px solid rgba(210, 135, 0, 0.2);
  font-weight: 700;
}

.column {
  display: flex;
  justify-content: center;
}

.number {
  width: 100px;
}

.activities {
  width: 400px;
}

.edit {
  width: 100px;
}

.delete {
  width: 100px;
}

.status {
  width: 100px;
}

.column::selection {
  background-color: #D28700FF;
  color: #fff;
}

@media screen and (max-width: 780px) {
  .activities {
    width: 200px;
  }
  .column {
    font-size: 22px;
  }
}

@media screen and (max-width: 570px) {
  .number {
    display: none;
  }
  .column {
    font-size: 20px;
  }
}
</style>
